/*  ==========================================================================
    Module: FORMS
    ========================================================================== */


    /* BASIC STYLING
    ========================================================================== */

    input,
    textarea
    {
        box-shadow: none;
        -webkit-appearance: none;
        border-radius: $input-field-border-radius;
        -webkit-transform: translate3d(0, 0, 0);
    }

    label,
    select,
    button,
    input[type="button"],
    input[type="reset"],
    input[type="submit"],
    input[type="radio"],
    input[type="checkbox"]
    {
        cursor: pointer;
    }

    input[type="file"],
    input[type="image"],
    input[type="submit"],
    input[type="reset"],
    input[type="button"],
    input[type="radio"],
    input[type="checkbox"] {
        width: auto;
    }

    ::placeholder
    {
        font-weight: $input-placeholder-font-weight;
        color: $input-placeholder-color;
    }

    input[type="text"],
    input[type="number"],
    input[type="email"],
    input[type="password"],
    input[type="tel"],
    textarea
    {
        @include inline-block;
        // height: 100%;
        padding: 0 $r-gutter / 2;

        font-family: $font-family-sans-serif;
        font-size: $input-font-size;
        font-weight: $input-font-weight;
        color: $input-field-color;
        border: $input-field-border;
        box-shadow: $input-field-box-shadow;

        &:focus
        {
            outline: 0;
        }
    }

    /* LABEL
    ========================================================================== */

    label,
    .label
    {
        display: block;
        margin-bottom: 2px;
    }

    .input--mini
    {
        padding: 0 10px;
        height: $input-height * 0.75;
        max-width: 80px;
    }

    .input--is-block
    {
        display: block;
        width: 100%;
    }

    .input__delete
    {
        position: absolute;
        top: 14px;
        right: $r-gutter / 2;
    }

    .input--inline
    {
        @include inline-block;
        margin-right: $single-space / 2;
        max-width: 70%;
    }


    /* VALIDATION
    ========================================================================== */

    .validation--error
    {
        position: absolute;
        left: $r-gutter / 2;
        top: 60px;
        z-index: 5;

        display: none;
        max-width: calc(100% - 22px);
        margin: -$single-space 0 $single-space 0;
        padding: $single-space / 2 $r-gutter / 2;

        background-color: $red;
        font-size: 1.2rem;
        color: $white !important;
        text-align: left;
        border-radius: $border-radius;
        box-shadow: 0 2px 5px rgba($black, 0.2);

        &:before
        {
            bottom: 100%;
            left: 10%;
            border: solid transparent;
            content: " ";
            height: 0;
            width: 0;
            position: absolute;
            pointer-events: none;
            // border-color: rgba(136, 183, 213, 0);
            border-bottom-color: $red;
            border-width: 10px;
            margin-left: -10px;
        }
    }

    .validation--error--show
    {
        display: block;
    }

    .validation--invalid:invalid
    {
        border: 1px solid $red !important;
    }

    .validation--invalid:valid
    {
        border: 1px solid $green-light !important;
    }

    .validation--invalid:invalid:focus
    {
        border: 1px solid $red !important;
        outline-color: $red !important;
        box-shadow: 0 0 5px $red !important;
    }

    .validation--invalid:valid:focus
    {
        border: 1px solid $green-light !important;
        outline-color: $green-light !important;
        box-shadow: 0 0 5px $green-light !important;
    }

    .message
    {
        display: none;

        padding: $single-space / 2 $r-gutter / 2;
        border-radius: $border-radius;
    }

    .message-show
    {
        @include inline-block;
    }

    .message--error
    {
        background-color: $red;
        color: $white;
    }